profile
viewpoint

sebastianwagner/alditalk 4

alditalk medion-mobile utms charging script via gammu USSD-codes

sebastianwagner/eventbug 1

Firebug Extension - event views for Firebug

sebastianwagner/https-everywhere 1

Clone of https://gitweb.torproject.org/https-everywhere.git

sebastianwagner/Codeception 0

Full-stack testing PHP framework

sebastianwagner/dar.nanorc 0

nano syntax highlighting rules for dar

issue commentmicrog/android_packages_apps_GmsCore

[de.rki.coronawarnapp] UnsupportedApiCallException nearby_exposure_notification_get_version

I updated the preinstalled UnifiedNlp (no GAPPS) via FDroid to the next Version available: 0.2.13.203915 rendering microG Services Core to that version as well. Corona-Warn app now seems to work without new exceptions. Thank you for pointing this out.

sebastianwagner

comment created time in 2 days

issue closedmicrog/android_packages_apps_GmsCore

[de.rki.coronawarnapp] UnsupportedApiCallException nearby_exposure_notification_get_version

Affected app Name: Corona-Warn Package id: de.rki.coronawarnapp.48

Describe the bug Exposure Notification UnsupportedApiCallException: nearby_exposure_notification_get_version

Error Dialog states "Missing feature" (screenshot [1])

error only happened once, different, repeated errors afterwards: app is still collecting ids but could not update due to mentioned different error. (see 4th screenshot [4])

since de.rki.coronawarn 1.5.0.48 seems to try to access unimplemented method didn't happen with earlier 1.3.1.38 version

To Reproduce Steps to reproduce the behavior:

  1. Install coronawarn app old build 38, use it(works like a charm)
  2. update to version build 48
  3. on first launch error occurs, once

Expected behavior Exposure API mocks expected methods calls :)

Screenshots [1] error_dialog_20201023-URSACHE9002_Corona-Warn_crop,scale

[2] traceback_20201023-get_version_Corona-Warn_crop,scale

[3] selfcheck_20201017_microG_Services_Core_croped,scaled

[4] cwa_repeated_crash_20201023_Corona-Warn_crop,scaled

System Android Version: 10 QQ3A.200805.001 Custom ROM: microG LineageOS build for lake 17.1 eng.root.20201015.063715 dev-keys

microG microG Core version: 0.1.2.12.203315 microG Self-Check results: All ticked, except System battery optimization (see 3rd screenshot [3])

closed time in 2 days

sebastianwagner

issue openedmicrog/android_packages_apps_GmsCore

[de.rki.coronawarnapp] UnsupportedApiCallException nearby_exposure_notification_get_version

Affected app Name: Corona-Warn Package id: de.rki.coronawarnapp.48

Describe the bug Exposure Notification UnsupportedApiCallException: nearby_exposure_notification_get_version

Error Dialog states "Missing feature" (screenshot [1])

error only happened once, different, repeated errors afterwards: app is still collecting ids but could not update due to mentioned different error. (see 4th screenshot [4])

since de.rki.coronawarn 1.5.0.48 seems to try to access unimplemented method didn't happen with earlier 1.3.1.38 version

To Reproduce Steps to reproduce the behavior:

  1. Install coronawarn app old build 38, use it(works like a charm)
  2. update to version build 48
  3. on first launch error occurs, once

Expected behavior Exposure API mocks expected methods calls :)

Screenshots [1] error_dialog_20201023-URSACHE9002_Corona-Warn_crop,scale

[2] traceback_20201023-get_version_Corona-Warn_crop,scale

[3] selfcheck_20201017_microG_Services_Core_croped,scaled

[4] cwa_repeated_crash_20201023_Corona-Warn_crop,scaled

System Android Version: 10 QQ3A.200805.001 Custom ROM: microG LineageOS build for lake 17.1 eng.root.20201015.063715 dev-keys

microG microG Core version: 0.1.2.12.203315 microG Self-Check results: All ticked, except System battery optimization (see 3rd screenshot [3])

created time in 3 days

more